Bug 1894080 - CVE-2020-14765 CVE-2020-14776 CVE-2020-14789 CVE-2020-14812 mariadb:10.3/mariadb: various flaws [fedora-all]
Summary: CVE-2020-14765 CVE-2020-14776 CVE-2020-14789 CVE-2020-14812 mariadb:10.3/mari...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-14765 CVE-2020-14776 CVE-2020-14789 CVE-2020-14812
TreeView+ depends on / blocked
 
Reported: 2020-11-03 14:08 UTC by Tomas Hoger
Modified: 2020-11-17 01:37 UTC (History)
8 users (show)

Fixed In Version: mariadb-10.3-3120201106115457.f636be4b mariadb-10.3-3320201112123416.601d93de mariadb-10.3-3220201112123416.43bbeeef
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 01:34:41 UTC
Type: ---


Attachments (Terms of Use)

Description Tomas Hoger 2020-11-03 14:08:50 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Tomas Hoger 2020-11-03 14:08:54 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1890738,1890743,1890747,1890756,1894080

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-11-05 04:36:44 UTC
FEDORA-2020-ac2d47d89a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac2d47d89a

Comment 3 Fedora Update System 2020-11-05 04:36:49 UTC
FEDORA-2020-ac2d47d89a has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac2d47d89a

Comment 4 Fedora Update System 2020-11-05 04:38:02 UTC
FEDORA-MODULAR-2020-9a0c4877b1 has been submitted as an update to Fedora 31 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-9a0c4877b1

Comment 5 Fedora Update System 2020-11-06 02:30:19 UTC
FEDORA-MODULAR-2020-9a0c4877b1 has been pushed to the Fedora 31 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-9a0c4877b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-11-08 17:30:56 UTC
FEDORA-MODULAR-2020-5558389b7d has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-5558389b7d

Comment 7 Fedora Update System 2020-11-08 17:30:57 UTC
FEDORA-MODULAR-2020-9cf4f26331 has been submitted as an update to Fedora 32 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-9cf4f26331

Comment 8 Fedora Update System 2020-11-08 17:30:57 UTC
FEDORA-MODULAR-2020-f9ee27a67b has been submitted as an update to Fedora 31 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-f9ee27a67b

Comment 9 Fedora Update System 2020-11-09 01:24:28 UTC
FEDORA-MODULAR-2020-5558389b7d has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-5558389b7d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-09 01:36:50 UTC
FEDORA-MODULAR-2020-f9ee27a67b has been pushed to the Fedora 31 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-f9ee27a67b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-11-09 01:48:23 UTC
FEDORA-MODULAR-2020-9cf4f26331 has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-9cf4f26331

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-11-11 01:34:41 UTC
FEDORA-MODULAR-2020-f9ee27a67b has been pushed to the Fedora 31 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-11-13 03:03:12 UTC
FEDORA-MODULAR-2020-a3dfc2f19b has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-a3dfc2f19b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-13 03:03:46 UTC
FEDORA-MODULAR-2020-556cd894f2 has been pushed to the Fedora 32 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2020-556cd894f2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-11-17 01:05:21 UTC
FEDORA-MODULAR-2020-a3dfc2f19b has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-11-17 01:37:46 UTC
FEDORA-MODULAR-2020-556cd894f2 has been pushed to the Fedora 32 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.